Subject: Re: bug#54469: home-environment-variables-service-type does not quote things

From: Maxime Devos <[email-masked]>
Date: Thu, 21 Jul 2022 14:30:39 +0200

On 14-07-2022 01:13, Ludovic Courtès wrote:
> [...]
> Fixed in af4c103595a725194318f40fc5aba110772ff417… except for checking
> the name of the variable.
>
> I guess we should stick to the grammar for “names” that Bash defines
> (info "(bash) Definitions") and error out if the variable name doesn’t
> comply?

Yes -- supporting arbitrary variable names would be nice but that just 
sticking to those (and erroring out) should be good enough in practice.

FWIW, (guix search-paths) also does export this="that", so it looks like 
the quoting and name checking could be generalised a little to also 
extend to etc/profile.

Greetings,
Maxime.